package ru.tularegion.corp.backend

import kotlin.js.ExperimentalJsExport
import kotlin.js.JsExport
import kotlin.js.JsName

object JsCallbacks {
    var redirectMode: ((Int) -> Unit)? = null
    var copyMode: ((Int) -> Unit)? = null
    var autoAuthMode: ((Boolean) -> Unit)? = null
    var autoAuthLogin: ((String) -> Unit)? = null
    var autoAuthPassword: ((String) -> Unit)? = null
}

@OptIn(ExperimentalJsExport::class)
@JsExport
fun redirectModeCallback(
    value: Int,
) {
    JsCallbacks.redirectMode?.let {
        it(value)
    }
}

@JsName("setRedirectMode")
external fun setRedirectMode(
    value: Int,
)

@OptIn(ExperimentalJsExport::class)
@JsExport
fun copyModeCallback(
    value: Int,
) {
    JsCallbacks.copyMode?.let {
        it(value)
    }
}

@JsName("setCopyMode")
external fun setCopyMode(
    value: Int,
)

@OptIn(ExperimentalJsExport::class)
@JsExport
fun autoAuthModeCallback(
    value: Boolean,
) {
    JsCallbacks.autoAuthMode?.let {
        it(value)
    }
}

@JsName("setAutoAuthMode")
external fun setAutoAuthMode(
    value: Boolean,
)

@OptIn(ExperimentalJsExport::class)
@JsExport
fun autoAuthLoginCallback(
    value: String,
) {
    JsCallbacks.autoAuthLogin?.let {
        it(value)
    }
}

@JsName("setAutoAuthLogin")
external fun setAutoAuthLogin(
    value: String,
)

@OptIn(ExperimentalJsExport::class)
@JsExport
fun autoAuthPasswordCallback(
    value: String,
) {
    JsCallbacks.autoAuthPassword?.let {
        it(value)
    }
}

@JsName("setAutoAuthPassword")
external fun setAutoAuthPassword(
    value: String,
)

@JsName("openCorpPortal")
external fun openCorpPortal()
