package ru.tularegion.corp.ui.screens

import androidx.compose.foundation.layout.Column
import androidx.compose.material3.ExtendedFloatingActionButton
import androidx.compose.material3.Icon
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.MutableState
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import corp_tularegion_extension.composeapp.generated.resources.Res
import corp_tularegion_extension.composeapp.generated.resources.round_add_24
import org.jetbrains.compose.resources.painterResource
import ru.tularegion.corp.ui.components.LinkButton

@Composable
fun LinksScreen(
    floatingActionButtonState: MutableState<(@Composable () -> Unit)?>,
) {
    val floatingActionButtonExpandedState = remember {
        mutableStateOf(true)
    }
    floatingActionButtonState.value = @Composable {
        ExtendedFloatingActionButton(
            text = {
                Text(
                    text = "Добавить ссылку",
                )
            },
            icon = {
                Icon(
                    painter = painterResource(Res.drawable.round_add_24),
                    contentDescription = null,
                )
            },
            onClick = {},
            expanded = floatingActionButtonExpandedState.value,
        )
    }

    Column {
        LinkButton(
            title = "Задачи",
            url = "https://corp.tularegion.local/company/personal/user/9761/tasks/",
        )
    }
}